net.sf.statcvs.output

## Class RepoMapPageMaker

- java.lang.Object
- - net.sf.statcvs.output.RepoMapPageMaker

-     public class RepoMapPageMaker
      extends java.lang.Object

  New report that Repo Map, a jtreemap-based report (applet) that shows the entire source tree in a hierarchical manner, the size of each box is related to LOC and the colour to the changes over the last 30 days (red -loc, green +loc).
  Author:
    Benoit Xhenseval (www.objectlab.co.uk)
  See Also:
    `for more about JTreeMap.`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepoMapPageMaker(ReportConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NavigationNode` | `toFile()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepoMapPageMaker

          public RepoMapPageMaker(ReportConfig config)

      See Also:
        `net.sf.statcvs.output.HTMLPage#HTMLPage(Repository)`

  - ### Method Detail

    - #### toFile

          public NavigationNode toFile()